###################################################
### chunk number 1: 
###################################################
library("smacof")
data(ekman)
ekman.d <- sim2diss(ekman, method = 1)
res.basic <- smacofSym(ekman.d, metric = FALSE)
res.sphere <- smacofSphere.primal(ekman.d, metric = FALSE)


###################################################
### chunk number 2:  eval=FALSE
###################################################
## plot(res.basic, main = "Configurations Basic SMACOF")
## plot(res.sphere, main = "Configurations Sphere SMACOF")


###################################################
### chunk number 3: 
###################################################
wl <- c(434, 445, 465, 472, 490, 504, 537, 555, 584, 600, 610, 628, 651, 674)
CIE31 <- read.table("http://cvision.ucsd.edu/database/data/cmfs/ciexyz31_1.txt", header = FALSE, sep = ",", colClasses = rep("numeric", 4), nrows = 471)
names(CIE31) <- c("WL", "xbar", "ybar", "zbar")
ekmanWL <- subset(CIE31, WL %in% wl)
ekmanWL[, -1] <- ekmanWL[, -1]/ekmanWL[, "ybar"]


###################################################
### chunk number 4: 
###################################################
ekman.mds.wld <- res.basic$confdiss[cumsum(c(1, 13:2))]
require(grDevices)
ekmanLuv <- convertColor(ekmanWL[, -1], "XYZ", "Luv")
Luv.dist <- dist(ekmanLuv)
Luv.wld <- Luv.dist[cumsum(c(1, 13:2))]


###################################################
### chunk number 5: 
###################################################
plot(wl[-14], ekman.mds.wld, type = "b", ylim = c(0.05, 0.9), xlab = "wavelength", ylab = "distance", main = "Ekman MDS vs. Luv")
lines(wl[-14], Luv.wld/400, col = "red", type = "b")
legend(600, 0.9, c("Ekman", "Luv"), lty = 1, col = c("black", "red"))


###################################################
### chunk number 6: 
###################################################
data(breakfast)
res.rect <- smacofRect(breakfast, itmax = 1000)
plot(res.rect, joint = TRUE, xlim = c(-10, 10))
plot(res.rect, plot.type = "Shepard")


###################################################
### chunk number 7: 
###################################################
data(bread)
res.uc <- smacofIndDiff(bread)
res.uc


###################################################
### chunk number 8: 
###################################################
res.id <- smacofIndDiff(bread, constraint = "identity")
res.id


###################################################
### chunk number 9: 
###################################################
plot(res.uc, main = "Group Configurations Unconstrained", xlim = c(-1.2,1), ylim = c(-1.2,1))
plot(res.id, main = "Group Configurations Identity", xlim = c(-1.2,1), ylim = c(-1.2,1))
plot(res.uc, plot.type = "resplot", main = "Residuals Unconstrained", xlim = c(2,14), ylim = c(-3,3))
plot(res.id, plot.type = "resplot", main = "Residuals Indentity", xlim = c(2,14), ylim = c(-3,3))


###################################################
### chunk number 10: 
###################################################
data(kinshipdelta)
data(kinshipscales)
res.sym <- smacofSym(kinshipdelta)
res.lin <- smacofConstraint(kinshipdelta, constraint = "linear", external = kinshipscales)


###################################################
### chunk number 11: 
###################################################
plot(res.sym, main = "Configuration Plot SMACOF", xlim = c(-2,1.5), ylim = c(-2,1.5))
plot(res.lin, main = "Configuration Plot SMACOF Constraint",xlim = c(-2,1.5), ylim = c(-2,1.5))
plot(res.sym, plot.type = "stressplot", main = "Stress Decomposition SMACOF", xlim = c(0, 16), ylim = c(3, 12))
plot(res.lin, plot.type = "stressplot", main = "Stress Decomposition SMACOF Constraint", xlim = c(0, 16), ylim = c(3, 12))


###################################################
### chunk number 12:  eval=FALSE
###################################################
## data(trading)
## res.sphere <- smacofSphere.dual(trading, ndim = 3)
## plot3d(res.sphere, plot.sphere = FALSE)


